<?php 
    session_start();
	if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='index.html'; ";
	echo "</script>";
}
	include ("clases/blog.class.php"); $objb = new blog();
	include ("clases/alumno.class.php"); $obja = new alumno();
	include ("clases/autor.class.php"); $objd = new autor();
	if($obja->BuscarPorNombre($_SESSION['usuario']))
	{
	  
	  $idper = $obja->getIdalu();
	}
	
	if($objd->BuscarPorNombre($_SESSION['usuario']))
	{
	  
	  $idper = $objd->getIddoc();
	}
	
    //$idper = $_REQUEST['id'];	
?>
<html>
<head>
<title>Documento sin t&iacute;tulo</title>
<meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>

<script>
function confirmar()
{
	if(confirm('Estas seguro de Eliminar el Registro?'))
		return true;
	else
		return false;
}
</script>
<style>
.text_entrada{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
</style>
</head>
<body>

 <div class="panel-heading">
    <h4>      Lista de Entradas:  
    </h4>
</div>  
  <form name="form1" method="post" action="listaentradas.php" class="navbar-form navbar-left" >
 <div class="tab-content">
    <div role="tabpanel" class="tab-pane active" id="home">
	<ul>
	
	<div class="form-group">
	<input name="txtbuscar" type="text"  class="form-control" placeholder="Ingrese Titulo de Entrada a Buscar">
	</div>
	<input type="hidden" name="id" value="<?=$idper;?>">
	<input name="" type="submit" value="Consultar" class="btn btn-primary">
	</ul>
	</div>
	</div>
  

<div class="container">
<table class="table table-responsive">

<? 	 
			 // echo "<strong>Entradas</strong> ";			  
			  //$lista=$objb->ListarPorPersona($idper);	
			  $a = $_POST["txtbuscar"]; 
		   $lista = $objb->ListarPublicos($a);
		   //////////////////////////////////////////////////77		 
			$TAMANO_PAGINA = 10;//Limito la busqueda			
			$pagina = $_GET["pagina"];//examino la p?gina a mostrar y el inicio del registro a mostrar
			if (!$pagina) {
				$inicio = 0;
				$pagina = 1;
			}
			else {
					$inicio = ($pagina - 1) * $TAMANO_PAGINA;
				}			
			$total_paginas = ceil(count($lista) / $TAMANO_PAGINA);//calculo el total de p?ginas
			/////////////////////////////////////////////////////////////////////////////////////
			$lista=$objb->ListaPaginadaPublicos($a,$inicio,$TAMANO_PAGINA);		  
			  for($i = 0; $i<count($lista); $i++)
			  {
			     if($obja->BuscarPorCodigo($lista[$i]["idpersona"]))
				 {
				    $lista[$i]['foto'] = $obja->getFoto();
					 $lista[$i]['nombres'] = $obja->getNombres()." ".$obja->getApellidos(); $f = "fotosa";
				 }else{
						 if($objd->BuscarPorDoc($lista[$i]["idpersona"]))
						 {
							 $lista[$i]['foto'] = $objd->getFoto();
							 $lista[$i]['nombres'] = $objd->getNombres()." ".$objd->getApellidos(); $f = "fotos";
						 }
				 }
			 // echo "<code>";
			 ?>
			 <tr onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='#FFFFFF'" class="text_entrada">
			 <td width="5%">
			  
			  <?php if($obja->getFoto()!="")
			        {?>
					 <figure>
			          <img src="<?=$f;?>/<?php echo $lista[$i]["foto"];?>" class="img-responsive img-circle center-box" style="width:100%;" />
					  </figure>
		      <?php } else{
			  				if($objd->getFoto()!=""){
			  ?>         		<figure><img src="<?=$f;?>/<?php echo $lista[$i]["foto"];?>" class="img-responsive img-circle center-box" style="width:100%;" /></figure>
				     <?php 
					  		 }	else { ?><figure><img src="<?=$f;?>/<?php echo "student.png";?>" class="img-responsive img-circle center-box" style="width:100%;" /></figure>
					   <?    		 }
					      }
					 ?></span>				</td>			  
			   <td width="95%">
				<strong><?php echo $lista[$i]['nombres'];?>:</strong><br> <strong><?=$lista[$i]["titulo"]." ";?></strong><?php echo "(Pub: ".date("d-m-Y", strtotime($lista[$i]["fechareg"])).") ";?>
			  <a href="controladores/procesablog.php?idblog=<?= $lista[$i]["idblog"];?>&idpersona=<?php echo $idper;?>&text=V"><span class="glyphicon glyphicon-search"></span></a> <br>
			<h4>  <span class="glyphicon glyphicon-eye-open"></span>:	<?=$lista[$i]["visitas"];?>	<span class="glyphicon glyphicon-thumbs-up"></span>: <?=$lista[$i]["interes"];?> </h4>
			  <? //echo "</div>";
			    // echo "</code>";
			  ?>      
              <?  
			  }			
			 ?>
	    </td>
	  </tr>
			 </table>

<center>
<?php 
		   if ($total_paginas > 1) {
   			if ($pagina != 1)
      			echo '<a href="'.$url.'?id='.$idper.'&pagina='.($pagina-1).'" class="btn btn-default">Anterior</a>';
     		for ($i=1;$i<=$total_paginas;$i++) {
         		if ($pagina == $i)
            //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace
            	  echo $pagina;
                else
            //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente,
            //coloco el enlace para ir a esa p&aacute;gina
                  echo '  <a href="'.$url.'?id='.$idper.'&pagina='.$i.'"class="btn btn-default" >'.$i.'</a>  ';
          }
           if ($pagina != $total_paginas)
              echo '<a href="'.$url.'?id='.$idper.'&pagina='.($pagina+1).'" class="btn btn-default">Siguiente</a>';
         }
?>
</center>
</div>
</form>
</body>
</html>
